Fix warnings when compiling with Qt 4.7
--- a/src/ProxyOutput.h
+++ b/src/ProxyOutput.h
@@ -51,7 +51,7 @@
         virtual void stopPlayback();
 
     signals:
-        virtual void error( int error, const QString& reason );
+        void error( int error, const QString& reason );
 
     private slots:
         void onClientConnected();
--- a/src/src.pro
+++ b/src/src.pro
@@ -238,7 +238,7 @@
 
     SOURCES -= SideBarTreeStyle.cpp
 
-    LIBPATH += $$ROOT_DIR/res/mad
+    QMAKE_LIBDIR += $$ROOT_DIR/res/mad
 
     LIBS += -lmad -framework CoreFoundation -framework Carbon -lz
 }
--- a/src/httpinput/httpinput.h
+++ b/src/httpinput/httpinput.h
@@ -97,9 +97,9 @@
     virtual void load( const QString& url );
 
 signals:
-    virtual void stateChanged( RadioState newState );
+    void stateChanged( RadioState newState );
 
-    virtual void error( int errorCode, const QString& reason );
+    void error( int errorCode, const QString& reason );
 
     /*********************************************************************/ /**
         Emitted if the stream has to rebuffer. Buffering finishes when
@@ -108,7 +108,7 @@
         @param size - current buffer size
         @param total - total buffer size
     **************************************************************************/
-    virtual void
+    void
     buffering( int size, int total );
 
 private:
--- a/src/libUnicorn/unicorn.pro.inc
+++ b/src/libUnicorn/unicorn.pro.inc
@@ -4,7 +4,7 @@
 
 UI_DIR = $$ROOT_DIR/build
 
-LIBPATH += $$BIN_DIR
+QMAKE_LIBDIR += $$BIN_DIR
 INCLUDEPATH += $$ROOT_DIR/src $$UI_DIR
 
 CONFIG( breakpad ) {
--- a/src/output/alsa-playback/alsaplayback.h
+++ b/src/output/alsa-playback/alsaplayback.h
@@ -57,7 +57,7 @@
         virtual void setVolume( int volume );
 
     signals:
-        virtual void error( int error, const QString& reason );
+        void error( int error, const QString& reason );
 
     public:
         AlsaPlayback();
--- a/src/libFingerprint/libFingerprint.pro
+++ b/src/libFingerprint/libFingerprint.pro
@@ -39,13 +39,13 @@
 }
 
 unix:!mac {
-    LIBPATH += $$BUILD_DIR/../fplib
+    QMAKE_LIBDIR += $$BUILD_DIR/../fplib
     LIBS += $$ROOT_DIR/build/fplib/libfplib$${EXT}.a -lsamplerate -lfftw3f -lmad
 }
 
 win32 {
     # Really not sure about the sanity of this...
-    LIBPATH += $$BUILD_DIR/../fplib $$ROOT_DIR/res/libsamplerate $$ROOT_DIR/res/mad
+    QMAKE_LIBDIR += $$BUILD_DIR/../fplib $$ROOT_DIR/res/libsamplerate $$ROOT_DIR/res/mad
     LIBS += -lfplib$$EXT -llibfftw3f-3 -lmad
     LIBS += -llibsamplerate
 
--- a/src/transcode/mad/mad.pro
+++ b/src/transcode/mad/mad.pro
@@ -10,7 +10,7 @@
 }
 
 !linux* {
-    LIBPATH += $$ROOT_DIR/res/mad
+    QMAKE_LIBDIR += $$ROOT_DIR/res/mad
 	INCLUDEPATH += $$ROOT_DIR/res/mad
 }
 
